System requirements and browsers

The latest versions of the Google Drive and Docs editors (Docs, Sheets, Slides, Forms & Drawings) work with the following operating systems and browsers.

Requirements for Drive & Docs editors

Browsers

Drive, Docs, Sheets, and Slides work with the two most recent versions of the following browsers. Make sure cookies and JavaScript are turned on for your browser.

  • Chrome
  • Firefox
  • Windows only: Internet Explorer
  • Mac only: Safari

Other browsers might work with the Google Docs editors, but you might not be able to use all of the features.

Google Drive won't work with Chrome 23, Firefox 23, IE9, Safari 6, or older versions. You'll need to update your browser to use Drive.
Computer operating systems

Windows
Windows XP and up (see which version you're using)

Mac
Lion (10.7) and up (see which version you're using)

Linux
Google Drive isn't currently available using the Linux operating system. You can use Google Drive on the web at drive.google.com or through the Google Drive mobile app.

Android

To download the apps for Google Drive, Google Docs, Google Sheets, and Google Slides, make sure your Android phone or tablet has Android version 4.0 or up. If you're using an older version, you won’t be able to download the Docs or Sheets apps, or upgrade to the new version of the Drive app.

Check which version of Android you're using

  1. On your Android device, open SettingsAbout.
  2. Under "Version," you'll see which version you're using.

Download the Google Drive, Docs, Sheets, or Slides app

iPhone and iPad

To use the latest Google Drive, Docs, Sheets, and Slides app, you'll need iOS 7.0 or up.

Check which version of iOS you're using

  1. On your iPhone or iPad, open Settings.
  2. Select General About.
  3. Next to "Version," you'll see which version of iOS you're using.

Download the Google Drive, Docs, Sheets, or Slides app

Andrea is a Google Drive expert and wrote this page. Help her improve it by leaving feedback below.

Was this article helpful?